package com.ag.base;

import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.jdbc.core.JdbcTemplate;
import org.springframework.stereotype.Repository;


@Repository
public class BaseRepositoryImpl<T> extends BaseDAO<T> {

	@Autowired
	private JdbcTemplate jdbcTemplatebusiness;//数据源
	private SqlUtil<T> sqlUtil = new SqlUtil<>();//表名映射

	@Override
	public JdbcTemplate getJdbcTemplate() {
		return jdbcTemplatebusiness;
	}
	@Override
	protected SqlUtil<T> getSqlUtil() {
		return sqlUtil;
	}


}
